package global

import (
	"confrontation-training/config"
	"confrontation-training/models/gateway"
	mqtt "github.com/eclipse/paho.mqtt.golang"
	"github.com/gohutool/log4go"
	"github.com/r3labs/sse/v2"
	"gorm.io/gorm"
)

var (
	Config             config.Config
	Db                 *gorm.DB
	SseClientDevice    *sse.Client
	SseClientData      *sse.Client
	DeviceMap          map[string]gateway.DeviceInfo
	EmqClient          mqtt.Client
	EmqConfig          config.EmqConfig
	Log4J              log4go.Logger
	GatewayList        map[string]gateway.GatewayInfo
	ConnectedDeviceMap map[string]gateway.ConnectedDevice
)
